com.amazonaws.services.cloudfront.model

## Enum OriginProtocolPolicy

- java.lang.Object
- - java.lang.Enum<OriginProtocolPolicy>
  - - com.amazonaws.services.cloudfront.model.OriginProtocolPolicy

All Implemented Interfaces:
  Serializable, Comparable<OriginProtocolPolicy>

    public enum OriginProtocolPolicy
    extends Enum<OriginProtocolPolicy>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`HttpOnly`
`HttpsOnly`
`MatchViewer`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static OriginProtocolPolicy` `fromValue(String value)` Use this in place of valueOf.
`String` `toString()`
`static OriginProtocolPolicy` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OriginProtocolPolicy[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### HttpOnly

    public static final OriginProtocolPolicy HttpOnly

#### MatchViewer

    public static final OriginProtocolPolicy MatchViewer

#### HttpsOnly

    public static final OriginProtocolPolicy HttpsOnly

### Method Detail

#### values

    public static OriginProtocolPolicy[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (OriginProtocolPolicy c : OriginProtocolPolicy.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static OriginProtocolPolicy valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### toString

    public String toString()

Overrides:
  `toString` in class `Enum<OriginProtocolPolicy>`

#### fromValue

    public static OriginProtocolPolicy fromValue(String value)

Use this in place of valueOf.

Parameters:
  `value` - real value
Returns:
  OriginProtocolPolicy corresponding to the value